## Starting the X Server

### Use

On Microsoft Windows, the MaxDB installation program registers the X Server as the service XServer, sets the Startup Type Startup Type for this service to Automatic Automatic and starts the service. You do not have to start this manually.

On UNIX/Linux, the X Server is not automatically installed as a service. You can either enter the X Server in the appropriate start scripts for the operating system or start it manually when required. After startup, the X Server runs in the background as the process vserver. When starting the X Server, a special process for supporting the SAP NI network protocol is started.

### Procedure

x_server [<options>] [start]

Options for Calling the X Server

<option> | Explanation
-D <debugging_level> | Defines the debugging level. You can specify values from 0 (no debugging information is written) to 9 (maximum debugging information). The default value is 0.
-F | If you set this option, the X Server does not determine the computer name of the application logging on to the DNS server (no reverse DNS lookup). If it is taking a long time to connect to a remote database instance, you should restart the X Server with this option. This will tell you whether the DNS server is responsible for the slow connection.
-S <port> | For UNIX/Linux only: assigns a different port <port> to the X Server. The X server uses port 7210 as default. See Ports and Protocols of the X Server
-V | Displays the version of the X Server.
-w | Only for UNIX/Linux, only in SAP systems Restricts the command to the SAP NISSL connection
-W | Only for UNIX/Linux, only in SAP systems Suppresses automatic usage of SAP NISSL
-y | Only for UNIX/Linux, only in SAP systems Restricts the command to the SAP NI connection
-Y | Only for UNIX/Linux, only in SAP systems Suppresses automatic use of SAP NI and SSL
-Z <file_size> | Specifies the size of the log file xserver_<computer_name>.prt in KB. computer_name is the name of the computer on which the X Server is running.